/* Control do xiro dun servo mediante un potenciometro
Imos transformar o valor lido na entrada analóxica (pot) 
nun valor de xiro para o servo.
http://tecnoloxia.org */

#include <Servo.h>	// Importamos a librería servo

// Declaración de variables:

int ldr;     	      // variable que le o valor da LDR (de 0 a 1023)
int xiro;      	    // variable que enviamos ao servo, entre 0 e 180
Servo meuservo;	    // Poñémoslle nome ao servo

// Configuración:

void setup() {
  meuservo.attach(6);    // Servo conectado no pin 6
  Serial.begin(9600);    // Inicia a comunicación serie
}

// Programa:

void loop() {
  ldr = analogRead(A0);      	   // Asignamos a variable "pot" ao valor lido en A0
  xiro = map(ldr,0,1023,0,180);  // Calculamos o valor correspondente para o xiro
  meuservo.write(xiro);          // facemos xirar o servo ata a posición xiro 
  
  Serial.print("LDR: ");         // Imprime na consola os valores das variables
  Serial.print(ldr);            
  Serial.print(" ---> Angulo: ");
  Serial.println(xiro);
  
  delay(20);              	    // tempo de retardo
}

