
/* Motor de CC controlado por potenciómetro. Utilizamos a saída PWM (de 0 a 255) para variar a 
velocidade de xiro do motor.
http://tecnoloxia.org */

// Declaración de variables:
int valor;              // variable que le o valor do potenciómetro, entre 0 e 1023 
int pwm;                // variable que enviamos a un pin pwm, entre 0 e 255
const int motor = 6;    // Motor conectado á base do transistor

// Configuración:

void setup() {
  Serial.begin(9600);      // Inicia a comunicación serie 
  pinMode(motor, OUTPUT);
  }

// Programa:

void loop() {
  
  valor = analogRead(A0);          // Asignamos á variable "valor" o valor lido na entrada analóxica A0 
  pwm = map(valor,0,1023,0,255);   // Calculamos o valor correspondente pwm
  analogWrite(motor,pwm);          // Enviamos o valor pwm ao motor

  Serial.print(valor);            // Escribimos os valores das variables na consola serie
  Serial.print(" ----> ");
  Serial.println(pwm); 
  delay(100);                     // Agardamos 100ms
  
}

