
/* Motor de CC controlado por un controlador de motores. 
Un potenciómetro establece a velocidade do motor.
http://tecnoloxia.org */

// Declaración de variables:
 
const int E1 = 10;   // Enable pin
const int I1 = 9;    // Control pin 1
const int I2 = 8;    // Control pin 2

int valor;              // variable que le o valor do potenciómetro, entre 0 e 1023 
int pwm;                // variable que enviamos a un pin pwm, entre 0 e 255

// Configuración:

void setup(){
  for (int i = 8 ; i<11 ; i++){        // configuramos os pins
    pinMode( i, OUTPUT);
    }
  Serial.begin(9600);      // Inicia a comunicación serie 
}

// Programa:

void  lerVelocidade() {
  valor = analogRead(A0);          
  pwm = map(valor,0,1023,0,255);   
  Serial.println(pwm); 
}

void esquerda() {
  digitalWrite(E1, pwm);     // Activamos Motor1
  digitalWrite(I1, HIGH);     // Arrancamos    
  digitalWrite(I2, LOW); 
}

void dereita() {
  digitalWrite(E1, pwm);     // Activamos Motor1
  digitalWrite(I1, LOW);      // Arrancamos con cambio de dirección
  digitalWrite(I2, HIGH);
}

void para() {
  digitalWrite(E1, LOW);      // Paramos Motor 1
}

void loop() {

  lerVelocidade();
  esquerda ();      
  delay(2000);
  
  para();
  delay(1000);

  lerVelocidade();
  dereita ();
  delay(2000);
  
  para();
  delay(1000);
  
}
  


