/* Sensor ultrasónico. Medición de distancia
Fai que a unha distancia maior de 15 cm se acenda un LED verde, 
entre 8 e 15 cm un LED amarelo, e a unha distancia menor de 8 cm un LED vermello.
http://tecnoloxia.org 
*/

// Declaración de variables:

int ledVermello = 13;
int ledAmarelo = 12;
int ledVerde = 11;

int trig = 9;
int echo = 8;

long distancia;
long tempo;

// Configuración:

void setup(){
  Serial.begin(9600);
  pinMode(trig, OUTPUT); 
  pinMode(echo, INPUT); 
  pinMode(ledVermello, OUTPUT);
  pinMode(ledAmarelo, OUTPUT);
  pinMode(ledVerde, OUTPUT);
}

// Programa:

void loop(){
  
  digitalWrite(trig,LOW); 
  delayMicroseconds(5);
  digitalWrite(trig, HIGH); // envío do pulso ultrasónico
  delayMicroseconds(10);
  
  tempo=pulseIn(echo, HIGH); // Mide o tiempo transcurrido entre o envío do pulso ultrasónico e a recepción do rebote
  
  distancia= int(0.017*tempo); // fórmula para calcular la distancia obtendo un valor enteiro

  if (distancia<5){
    digitalWrite (ledVermello, HIGH);
    digitalWrite (ledAmarelo, LOW);
    digitalWrite (ledVerde, LOW);
  }
  if (distancia >=5 && distancia <15){
    digitalWrite (ledVermello, LOW);
    digitalWrite (ledAmarelo, HIGH);
    digitalWrite (ledVerde, LOW);
  }
  if (distancia>=15){
    digitalWrite (ledVermello, LOW);
    digitalWrite (ledAmarelo, LOW);
    digitalWrite (ledVerde, HIGH);
  }
  
  Serial.print("Distancia: ");
  Serial.print(distancia);
  Serial.println(" cm");
  delay(100);
}
