/* Sensor ultrasónico. Medición de distancia.
Conecta un zumbador e fai que a medida que a distancia 
se faga menor soe un son máis agudo.
http://tecnoloxia.org 
*/

// Declaración de variables:

int zumbador=4;
int frecuencia;             // Variable que representa a frecuencia do zumbador

int trig = 9;
int echo = 8;

long distancia;
long tempo;

// Configuración:

void setup(){
  Serial.begin(9600);
  pinMode(trig, OUTPUT); 
  pinMode(echo, INPUT); 
  pinMode(zumbador, OUTPUT);
}

// Programa:

void loop(){
  
  digitalWrite(trig,LOW); 
  delayMicroseconds(5);
  digitalWrite(trig, HIGH); // envío do pulso ultrasónico
  delayMicroseconds(10);
  
  tempo=pulseIn(echo, HIGH); // Mide o tiempo transcurrido entre o envío do pulso ultrasónico e a recepción do rebote
  
  distancia= int(0.017*tempo); // fórmula para calcular la distancia obtendo un valor enteiro en cm

  frecuencia = map(distancia,0,100,800,100);  // Calculamos a frecuencia en función do valor da distancia
  tone(zumbador,frecuencia,100);                    // Xeramos o ton coa frecuencia obtida

  Serial.print("Distancia: ");
  Serial.print(distancia);
  Serial.println(" cm");
  delay(200);
}
