/* Variando a frecuencia. Conversión map. Entradas analóxicas.

Programa no que un LED escintila cun intervalo de 100 ms entre acendido e 
apagado cando leamos un valor 0 no potenciómetro. A medida que movemos o 
cursor vai aumentando o tempo ata que conseguimos que o LED escintile cun 
intervalo de 1000 ms cando lemos un valor de 1023 no potenciómetro. 

  tempo = map(valor,0,1023,100,1000); 

Na consola serie podemos visualizar o valor que teñen as variables
“valor” e “tempo” en cada momento.

http://tecnoloxia.org */


// Declaración de variables:

int valor;      // variable que le o valor do potenciómetro, entre 0 e 1023
int tempo;      // variable tempo entre acendido e apagado
int led=11; 

// Configuración:

void setup() {
  Serial.begin(9600);       // Inicia a comunicación serie
  pinMode(led, OUTPUT);    // Configuramos o LED como saída
}

// Programa:

void loop() {
  
  valor = analogRead(A0);               // Asignamos a variable "valor" o valor lido na entrada analóxica A0
  tempo = map(valor,0,1023,100,1000);   // Calculamos o valor correspondente ao tempo
  
  digitalWrite(led, HIGH); 	        // Acende
  delay(tempo); 		                // Agarda "tempo" ms
  digitalWrite(led, LOW); 	        // Apaga
  delay(tempo);                     // Agarda "tempo" ms
  
  Serial.print(valor);		  // Escribimos os valores das variables na consola serie
  Serial.print(" ----> ");
  Serial.println(tempo); 
  delay(100);              	  // Agardamos 100ms
}

